org.richfaces.resource

## Class CSSVisitorImpl

- java.lang.Object
- - org.richfaces.resource.AbstractCSSVisitor
  - - org.richfaces.resource.CSSVisitorImpl

-     public final class CSSVisitorImpl
      extends AbstractCSSVisitor

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSSVisitorImpl(javax.faces.context.FacesContext facesContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertStreamToString(InputStream is, String encoding)`
    `protected void` | `endFontRule(org.w3c.dom.css.CSSFontFaceRule rule)`
    `protected void` | `endMediaRule(org.w3c.dom.css.CSSMediaRule rule)`
    `protected void` | `endPageRule(org.w3c.dom.css.CSSPageRule rule)`
    `protected void` | `endStyleRule(org.w3c.dom.css.CSSStyleRule rule)`
    `protected void` | `endStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)`
    `String` | `getCSSText()`
    `String` | `getEncoding()`
    `void` | `setEncoding(String encoding)`
    `protected void` | `startFontRule(org.w3c.dom.css.CSSFontFaceRule rule)`
    `protected void` | `startMediaRule(org.w3c.dom.css.CSSMediaRule rule)`
    `protected void` | `startPageRule(org.w3c.dom.css.CSSPageRule rule)`
    `protected void` | `startStyleRule(org.w3c.dom.css.CSSStyleRule rule)`
    `protected void` | `startStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)`
    `void` | `visitCharsetRule(org.w3c.dom.css.CSSCharsetRule rule)`
    `void` | `visitImportRule(org.w3c.dom.css.CSSImportRule rule)`
    `void` | `visitStyleDeclaration(org.w3c.dom.css.CSSStyleDeclaration styleDeclaration)`
    `void` | `visitUnknownRule(org.w3c.dom.css.CSSUnknownRule rule)`

    - ### Methods inherited from class org.richfaces.resource.AbstractCSSVisitor

      `visitFontFaceRule, visitMediaRule, visitPageRule, visitRule, visitStyleRule, visitStyleSheet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSVisitorImpl

          public CSSVisitorImpl(javax.faces.context.FacesContext facesContext)

  - ### Method Detail

    - #### visitUnknownRule

          public void visitUnknownRule(org.w3c.dom.css.CSSUnknownRule rule)

      Specified by:
        `visitUnknownRule` in class `AbstractCSSVisitor`

    - #### visitCharsetRule

          public void visitCharsetRule(org.w3c.dom.css.CSSCharsetRule rule)

      Specified by:
        `visitCharsetRule` in class `AbstractCSSVisitor`

    - #### visitImportRule

          public void visitImportRule(org.w3c.dom.css.CSSImportRule rule)

      Specified by:
        `visitImportRule` in class `AbstractCSSVisitor`

    - #### startFontRule

          protected void startFontRule(org.w3c.dom.css.CSSFontFaceRule rule)

      Specified by:
        `startFontRule` in class `AbstractCSSVisitor`

    - #### endFontRule

          protected void endFontRule(org.w3c.dom.css.CSSFontFaceRule rule)

      Specified by:
        `endFontRule` in class `AbstractCSSVisitor`

    - #### startMediaRule

          protected void startMediaRule(org.w3c.dom.css.CSSMediaRule rule)

      Specified by:
        `startMediaRule` in class `AbstractCSSVisitor`

    - #### endMediaRule

          protected void endMediaRule(org.w3c.dom.css.CSSMediaRule rule)

      Specified by:
        `endMediaRule` in class `AbstractCSSVisitor`

    - #### startPageRule

          protected void startPageRule(org.w3c.dom.css.CSSPageRule rule)

      Specified by:
        `startPageRule` in class `AbstractCSSVisitor`

    - #### endPageRule

          protected void endPageRule(org.w3c.dom.css.CSSPageRule rule)

      Specified by:
        `endPageRule` in class `AbstractCSSVisitor`

    - #### startStyleRule

          protected void startStyleRule(org.w3c.dom.css.CSSStyleRule rule)

      Specified by:
        `startStyleRule` in class `AbstractCSSVisitor`

    - #### endStyleRule

          protected void endStyleRule(org.w3c.dom.css.CSSStyleRule rule)

      Specified by:
        `endStyleRule` in class `AbstractCSSVisitor`

    - #### startStyleSheet

          protected void startStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)

      Specified by:
        `startStyleSheet` in class `AbstractCSSVisitor`

    - #### endStyleSheet

          protected void endStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)

      Specified by:
        `endStyleSheet` in class `AbstractCSSVisitor`

    - #### visitStyleDeclaration

          public void visitStyleDeclaration(org.w3c.dom.css.CSSStyleDeclaration styleDeclaration)

      Specified by:
        `visitStyleDeclaration` in class `AbstractCSSVisitor`

    - #### getEncoding

          public String getEncoding()

    - #### getCSSText

          public String getCSSText()

    - #### setEncoding

          public void setEncoding(String encoding)

    - #### convertStreamToString

          public String convertStreamToString(InputStream is,
                                     String encoding)
                                       throws IOException

      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.